Intermittent Windows m(oth) leakcheck | default process: 855135 bytes leaked (AnimationTimeline, AsyncLatencyLogger, AsyncStatement, Attr, BackstagePass, ...)

RESOLVED WORKSFORME

Status

P1
normal
RESOLVED WORKSFORME
3 years ago
9 months ago

People

(Reporter: KWierso, Unassigned)

Tracking

({intermittent-failure})

49 Branch
intermittent-failure

Firefox Tracking Flags

(firefox49 affected)

Details

Comment hidden (Intermittent Failures Robot)
I don't think there's any reason to consider this DOM: Animation, is there? Other than the fact that the first leaked object in a very long list, when listed alphabetically, happens to be AnimationTimeline.

Whatever it is, though, it picked up significantly on 16 May.
Component: DOM: Animation → DOM
Comment hidden (Intermittent Failures Robot)
Some of the leaked URIs

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_jsterm_autocomplete.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_cached_messages.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_network_security-hsts.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_consoleapi_innerID.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_reflow.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_network_post.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_throw.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_console_serviceworker.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_object_actor_native_getters.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_jsterm_cd_iframe.html

 21:06:06     INFO -    chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_commands_other.html

21:06:06 INFO - chrome://mochitests/content/chrome/devtools/shared/webconsole/test/test_file_uri.html
Component: DOM → Developer Tools
Product: Core → Firefox
Seems like a high frequency issue.  :bgrins, any ideas what's changed with the console recently?
Component: Developer Tools → Developer Tools: Console
Flags: needinfo?(bgrinstead)
Priority: -- → P1
The first known failure here is at 2016-04-26 11:39:59.

The only bug that landed in the console component around the time this intermittent started was an eslint cleanup  Bug 1256772 - based on this search https://bugzilla.mozilla.org/buglist.cgi?list_id=13035911&resolution=FIXED&chfieldto=2016-04-30&query_format=advanced&chfield=resolution&chfieldfrom=2016-04-22&chfieldvalue=FIXED&component=Developer%20Tools%3A%20Console&product=Firefox.

Widening the search for bugs that contain 'console' in the name includes Bug 1263392, Bug 996685, and Bug 1265772: https://bugzilla.mozilla.org/buglist.cgi?list_id=13035919&chfield=resolution&chfieldfrom=2016-04-23&chfieldvalue=FIXED&short_desc_type=allwordssubstr&short_desc=console&resolution=FIXED&chfieldto=2016-04-30&query_format=advanced.

Out of these bugs, given the first failure date Bug 1263392 seems most likely since it landed on 4/24-4/25.  I don't know enough about that patch to say if it could be the source of these leaks in Windows XP debug.  Andrea, is there a chance that's related?
Flags: needinfo?(bgrinstead) → needinfo?(amarchesini)
Comment hidden (Intermittent Failures Robot)
Do you have any other available report? The one in description of this bug is not available anymore. I want to see if there are Console or ConsoleCallData leaks in the leak report.
Flags: needinfo?(amarchesini) → needinfo?(wkocher)
(Reporter)

Comment 9

3 years ago
(In reply to Andrea Marchesini (:baku) from comment #8)
> Do you have any other available report? The one in description of this bug
> is not available anymore. I want to see if there are Console or
> ConsoleCallData leaks in the leak report.

The link in comment 7 has 70-some reports from the past week. Click the "view" links to see the individual logs.
Flags: needinfo?(wkocher)
I suspect is bug 1265772. Bug 1263392 is only about a non-initialized variable in Console.cpp. That should not create leaks.
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Inactive for 4 months - closing
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
Resolution: FIXED → WORKSFORME

Updated

9 months ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.